<<< Previous |  | Next >>>

# FcConfigGetSysRoot

## Name

FcConfigGetSysRoot -- Obtain the system root directory

## Synopsis

    #include <fontconfig/fontconfig.h>

``const FcChar8 * `FcConfigGetSysRoot``(const FcConfig *`config`);`

## Description

Obtains the system root directory in 'config' if available. All files (including file properties in patterns) obtained from this 'config' are relative to this system root directory.

This function isn't MT-safe. `FcConfigReference` must be called before using this and then `FcConfigDestroy` when the return value is no longer referenced.

## Since

version 2.10.92

<<< Previous | Home | Next >>>
FcConfigParseAndLoadFromMemory | Up | FcConfigSetSysRoot